Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPTemplateNonTypeParameter

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPTemplateParameter`, `ICPPVariable`, `IVariable`

    public interface ICPPTemplateNonTypeParameter
    extends ICPPTemplateParameter, ICPPVariable

Interface for template non type parameters.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateParameter

`EMPTY_TEMPLATE_PARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IASTExpression` `getDefault()` Deprecated. Use `ICPPTemplateParameter.getDefaultValue()`.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateParameter

`getDefaultValue, getParameterID, getParameterPosition, getTemplateNestingLevel, isParameterPack`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPVariable

`isConstexpr, isExternC, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getInitialValue, getType, isAuto, isExtern, isRegister, isStatic`

### Method Detail

#### getDefault

    @Deprecated
    IASTExpression getDefault()

Deprecated.
Use `ICPPTemplateParameter.getDefaultValue()`.

Restriction:
  This method is not intended to be referenced by clients.